package com.yonge.cooleshow.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 直播房间与课程的关系表表(LiveRoom)表实体类
 *
 * @author hgw
 * @since 2022-03-23 14:35:19
 */
@ApiModel(value = "live_room-直播房间与课程的关系表表")
public class LiveRoom implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("course_group_id_")
    @ApiModelProperty(value = "课程组id")
    private Long courseGroupId;

    @TableField("course_id_")
    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @TableField("speaker_id_")
    @ApiModelProperty(value = "主讲人id/老师id")
    private Long speakerId;

    @TableField("room_uid_")
    @ApiModelProperty(value = "房间编号")
    private String roomUid;

    @TableField("room_title_")
    @ApiModelProperty(value = "房间标题/最多12个字")
    private String roomTitle;

    @TableField("live_start_time_")
    @ApiModelProperty(value = "直播开始时间")
    private Date liveStartTime;

    @TableField("live_end_time_")
    @ApiModelProperty(value = "直播结束时间")
    private Date liveEndTime;

    @TableField("live_remark_")
    @ApiModelProperty(value = "直播内容/最多200个字")
    private String liveRemark;

    @TableField("live_state_")
    @ApiModelProperty(value = "直播状态 0未开始 1已开始 2已结束")
    private Integer liveState;

    @TableField("room_state_")
    @ApiModelProperty(value = "房间状态 0正常 1已删除 2已销毁")
    private Integer roomState;

    @TableField("type_")
    @ApiModelProperty(value = "房间类型 live直播课  temp临时直播间")
    private String type;

    @TableField("cover_pic_")
    @ApiModelProperty(value = "封面图片")
    private String coverPic;

    @TableField("created_by_")
    @ApiModelProperty(value = "创建人")
    private Long createdBy;

    @TableField("created_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createdTime;

    @TableField("updated_by_")
    @ApiModelProperty(value = "更新人")
    private Long updatedBy;

    @TableField("updated_time_")
    @ApiModelProperty(value = "更新时间")
    private Date updatedTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCourseGroupId() {
        return courseGroupId;
    }

    public void setCourseGroupId(Long courseGroupId) {
        this.courseGroupId = courseGroupId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Long getSpeakerId() {
        return speakerId;
    }

    public void setSpeakerId(Long speakerId) {
        this.speakerId = speakerId;
    }

    public String getRoomUid() {
        return roomUid;
    }

    public void setRoomUid(String roomUid) {
        this.roomUid = roomUid;
    }

    public String getRoomTitle() {
        return roomTitle;
    }

    public void setRoomTitle(String roomTitle) {
        this.roomTitle = roomTitle;
    }

    public Date getLiveStartTime() {
        return liveStartTime;
    }

    public void setLiveStartTime(Date liveStartTime) {
        this.liveStartTime = liveStartTime;
    }

    public Date getLiveEndTime() {
        return liveEndTime;
    }

    public void setLiveEndTime(Date liveEndTime) {
        this.liveEndTime = liveEndTime;
    }

    public String getLiveRemark() {
        return liveRemark;
    }

    public void setLiveRemark(String liveRemark) {
        this.liveRemark = liveRemark;
    }

    public Integer getLiveState() {
        return liveState;
    }

    public void setLiveState(Integer liveState) {
        this.liveState = liveState;
    }

    public Integer getRoomState() {
        return roomState;
    }

    public void setRoomState(Integer roomState) {
        this.roomState = roomState;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Long getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(Long updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getCoverPic() {
        return coverPic;
    }

    public void setCoverPic(String coverPic) {
        this.coverPic = coverPic;
    }
}

